opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | List of all members
cv::DataType< Rect_< _Tp > > Class Template Reference

`#include <core.hpp>`

## Public Types

enum | { generic_type = 0, depth = DataDepth<channel_type>::value, channels = 4, fmt = ((channels-1)<<8) + DataDepth<channel_type>::fmt, type = CV_MAKETYPE(depth, channels) }
typedef _Tp | channel_type
typedef Rect_< _Tp > | value_type
typedef Vec< channel_type, channels > | vec_type
typedef Rect_< typename DataType< _Tp >::work_type > | work_type

## Member Typedef Documentation

template<typename _Tp >

typedef _Tp cv::DataType< Rect_< _Tp > >::channel_type

template<typename _Tp >

typedef Rect_<_Tp> cv::DataType< Rect_< _Tp > >::value_type

template<typename _Tp >

typedef Vec<channel_type, channels> cv::DataType< Rect_< _Tp > >::vec_type

template<typename _Tp >

typedef Rect_<typename DataType<_Tp>::work_type> cv::DataType< Rect_< _Tp > >::work_type

## Member Enumeration Documentation

template<typename _Tp >

anonymous enum

Enumerator:

  generic_type |
  depth |
  channels |
  fmt |
  type |

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp